using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VIZ.Package.Storage
{
    /// <summary>
    /// Viz 控制字段类型
    /// </summary>
    public enum VizControlFieldType
    {
        /// <summary>
        /// 未指定
        /// </summary>
        [Description("未指定")]
        none,

        /// <summary>
        /// 文本
        /// </summary>
        [Description("文本")]
        text,

        /// <summary>
        /// Bool值
        /// </summary>
        [Description("Bool值")]
        boolean,

        /// <summary>
        /// 富文本
        /// </summary>
        [Description("富文本")]
        richtext,

        /// <summary>
        /// 图片
        /// </summary>
        [Description("图片")]
        image,

        /// <summary>
        /// 列表
        /// </summary>
        [Description("列表")]
        list,

        /// <summary>
        /// 数字
        /// </summary>
        [Description("数字")]
        integer,

        /// <summary>
        /// 浮点数字
        /// </summary>
        [Description("浮点数字")]
        @float,

        /// <summary>
        /// 二元组
        /// </summary>
        [Description("二元组")]
        duplet,

        /// <summary>
        /// 三元组
        /// </summary>
        [Description("三元组")]
        triplet,

        /// <summary>
        /// 字体
        /// </summary>
        [Description("字体")]
        font,

        /// <summary>
        /// 单选
        /// </summary>
        [Description("单选")]
        radio,

        /// <summary>
        /// 底飞
        /// </summary>
        [Description("底飞")]
        scroll_elements,

        /// <summary>
        /// 自定义 视频
        /// </summary>
        [Description("自定义 视频")]
        custom_video,

        /// <summary>
        /// 自定义 视频
        /// </summary>
        [Description("系统 索引")]
        system_index,


        /// <summary>
        /// 时钟
        /// </summary>
        [Description("时钟")]
        clock,

        /// <summary>
        /// 颜色
        /// </summary>
        [Description("颜色")]
        color


    }
}
